Kontentga o'tish

Kassalar

GET
/v1/cash-box
curl --request GET \
--url 'https://api-admin.billz.ai/v1/cash-box?page=1&limit=100&sort_field=name&sort_direction=asc' \
--header 'Authorization: Bearer <token>' \
--header 'platform-id: 7d4a4c38-dd84-4902-b744-0488b80a4c01'

Kassa id si sotuv yaratishda (POST /v2/order) va to’lovda (POST /v2/order-payment/{order_id}) cashbox_id maydonida uzatiladi.

Xato kodlari: 400 — kiruvchi ma’lumotlar validatsiya xatosi; 401, 403, 429, 500 — barcha metodlar uchun umumiy. Tana formatlari va semantikasi: Javob kodlari va xatolar.

page
integer format: int32
default: 1

Raqam emas — 400

limit
integer format: int32
default: 10

Raqam emas — 400

Example
100
shop_id
string format: uuid

Bitta do’konning kassalari

shop_ids
Array<string>

Bir nechta do’kon kassalari, identifikatorlar vergul bilan

name
string

Kassa nomi bo’yicha filtr

with_hq
boolean

true bo’lganda ro’yxatga bosh ofis kassasi qo’shiladi

sort_field
string
Allowed values: name created_at

name yoki created_at; faqat sort_direction bilan birga qo’llaniladi

sort_direction
string
Allowed values: asc desc

asc yoki desc; faqat sort_field bilan birga qo’llaniladi

accept-language
string

Ru|uz|en, default ru — to’lov turlari nomlarining tili

platform-id
string
default: 7d4a4c38-dd84-4902-b744-0488b80a4c01

Platforma identifikatori. Integratsiyalar uchun statik qiymat ishlatiladi.

Muvaffaqiyatli javob

Media typeapplication/json
object
count

Sahifalashni hisobga olmagan holda umumiy soni

integer format: int32
cash_boxes

Kassalar ro’yxati

Array<object>
object
id
string
company_id
string
shop_id
string
shop

Kassa tegishli do’kon

object
id
string
name
string
phone_numbers
Array<string>
nullable
facebook
string
instagram
string
telegram
string
website
string
working_hours

{id, shop_id, week_day, start_time, end_time, is_active}

Array<object>
nullable
object
name
string
cheque_id
string
payment_types

Kassaga ulangan to’lov turlari

Array<object>
object
id
string
company_payment_type_id

GET /v1/company-payment-type dan olingan to’lov turi id si

string
company_payment_type

Kompaniya to’lov turi

object
is_active
boolean
e_pos
integer format: int32
tariff_limits
object
local_payment_types
boolean
Examplegenerated
{
"count": 1,
"cash_boxes": [
{
"id": "example",
"company_id": "example",
"shop_id": "example",
"shop": {
"id": "example",
"name": "example",
"phone_numbers": [
"example"
],
"facebook": "example",
"instagram": "example",
"telegram": "example",
"website": "example",
"working_hours": [
{}
]
},
"name": "example",
"cheque_id": "example",
"payment_types": [
{
"id": "example",
"company_payment_type_id": "example",
"company_payment_type": {},
"is_active": true
}
],
"e_pos": 1,
"tariff_limits": {},
"local_payment_types": true
}
]
}